#ifndef FUTEX_COMPAT_H
#define FUTEX_COMPAT_H

#include <time.h>

int futex_wait(int *uaddr, int val, const struct timespec *timeout);
int futex_wake(int *uaddr, int count);

int futex_wait_bitset(int *uaddr, int val, const struct timespec *timeout, int bitset);
int futex_wake_bitset(int *uaddr, int count, int bitset);

// Optional: requeue-style primitive
int futex_requeue(int *uaddr, int wake_count, int requeue_count, int *uaddr2);

#endif
